﻿using ImageProcessingGraph.Editor.Nodes.NodeAttributes;
using UnityEngine;

namespace ImageProcessingGraph.Editor.Nodes.Types.Image.Utilities.ViewNode
{
    [NodeInfo("View Texture", "Utility/View Texture", false, null ,typeof(ViewTextureNodeEditor))]
    public class ViewTextureNode : BaseImageNode
    {
        [NodeAttributes.Input("Texture")] public Texture2D texture;
        [NodeAttributes.Input("Image Data")] public ImageData imageData;

        public delegate void OnImageUpdated();
        public OnImageUpdated onImageUpdated;
        
        public override void Process()
        {
            if (texture == null)
            {
                texture = imageData.ToTexture2D();
            }
            
            //CHANGE NPOT SETTING
            
            
            onImageUpdated?.Invoke();
        }

        public override void CleanUp()
        {
            texture = null;
            imageData = default;
        }
    }
}